Bug 1456202 - libwbclient.so.0 => not found
Summary: libwbclient.so.0 => not found
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1456145 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-27 17:28 UTC by Gurenko Alex
Modified: 2018-05-29 11:20 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Gurenko Alex 2017-05-27 17:28:02 UTC
Description of problem:

With recent updates of F26 SMB shares are not accessible anymore

Version-Release number of selected component (if applicable):

Fedora 26 KDE spin

How reproducible:

100%

Steps to Reproduce:
1. Open Dolphin
2. Go to Network -> Samba Shares
3.

Actual results:

Unable to create io-slave. klauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/smb.so'.

Expected results:

Get list of samba shares


Additional info:
Same behavior accessing saved SMB shares via Favorite folder

Comment 1 Rex Dieter 2017-05-27 18:36:48 UTC
2 things, can you post output from these to konsole commands?

rpm -q kio-extras libsmbclient


ldd -r /usr/lib64/qt5/plugins/kf5/kio/smb.so

Comment 2 Gurenko Alex 2017-05-27 19:22:23 UTC
rpm -q kio-extras libsmbclient

kio-extras-16.12.3-1.fc26.x86_64
libsmbclient-4.6.4-0.fc26.x86_64

Interesting, kio-extras is still version 16.12, when most of the apps were updated recently to 17.04

and here is an output for the 2nd command: https://pastebin.com/mnWSmTqz

Comment 3 Rex Dieter 2017-05-28 12:22:10 UTC
Problem here:
libwbclient.so.0 => not found

This *may* help:

dnf reinstall libwbclient

Comment 4 Gurenko Alex 2017-05-28 19:24:47 UTC
(In reply to Rex Dieter from comment #3)
> Problem here:
> libwbclient.so.0 => not found
> 
> This *may* help:
> 
> dnf reinstall libwbclient

Yes, that did help. Good question what broke it.

Comment 5 Rex Dieter 2017-05-28 21:52:26 UTC
If I recall, samba packaging handles libwbclient via alternatives (which can be fragile/problematic sometimes)

Comment 6 Lukas Slebodnik 2017-05-29 07:54:22 UTC
(In reply to Rex Dieter from comment #5)
> If I recall, samba packaging handles libwbclient via alternatives (which can
> be fragile/problematic sometimes)

It is not problematic if dnf upgrade transaction is not interrupted.

Alex, was there a warning/error ... in recent updates of F26

Comment 7 Gurenko Alex 2017-05-29 08:04:08 UTC
(In reply to Lukas Slebodnik from comment #6)
> (In reply to Rex Dieter from comment #5)
> > If I recall, samba packaging handles libwbclient via alternatives (which can
> > be fragile/problematic sometimes)
> 
> It is not problematic if dnf upgrade transaction is not interrupted.
> 
> Alex, was there a warning/error ... in recent updates of F26

Yes, actually I think it was updated in a same batch when I got kmail update error

Comment 8 Andreas Schneider 2017-05-31 10:20:24 UTC
*** Bug 1456145 has been marked as a duplicate of this bug. ***

Comment 9 Jonathan Briggs 2017-06-12 03:54:16 UTC
I don't know what the problem was, because I don't believe that I'd had any interrupted upgrade transactions, but my smbd on this week's Fedora 26 updates was refusing to start because of a missing libwbclient library.

Doing the reinstall fixed it. But I think there's a problem in that update process somewhere.

A posttrans script may just not be a reliable option.

Comment 10 Fedora End Of Life 2018-05-03 08:44:03 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 11:20:37 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.